// :  

#include <QtCore>
#include "QtServer.h"

int main(int argc, char *argv[])
{
  QCoreApplication a(argc, argv);
  
  QCommandLineParser parser;
  parser.setApplicationDescription("QtWebSockets server");
  parser.addHelpOption();
  
  QCommandLineOption portOption(QStringList() << "p" << "port",
                                QCoreApplication::translate("main", "Port for server [default: 28563]."),
                                QCoreApplication::translate("main", "port"), QLatin1Literal("28563"));
  parser.addOption(portOption);
  parser.process(a);
  
  int port = parser.value(portOption).toInt();
  
  Server *server = new Server(port, true);
  QObject::connect(server, &Server::closed, &a, &QCoreApplication::quit);
  
  return a.exec();
}
